# Retrieve Order History ![Three steps to retrieve order history](https://docs.equinix.com/assets/images/RetrieveOrderHistory-4dfd19548a651999578abad41e902124.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. ## Retrieving Order History[​](#retrieving-order-history "Direct link to Retrieving Order History") To retrieve your order history, send a `POST` request to the [/colocations/v2/orders/{orderId}](https://docs.equinix.com/api-catalog/ordersv2/orders/get%20order%20details.md) endpoint. Sample cURL Request: An order history request was done for submitted Smart Hands orders linked to ordering or notification contact person with last name `smith` in IBX data centers DC3 and DC4 and defining the date range from the date this request is submitted. ``` curl -X POST "https://api.equinix.com/v1/retrieve-orders" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "filters": {     "orderStatus": [         "SUBMITTED",         "IN_PROGRESS"     ],     "productTypes": [         "SMART_HANDS"     ],     "ibxs": [         "DC3",         "DC4"         ],         "dateRange": "PAST_YEAR"     },     "sorts": [         {             "name": "CREATED_ON",             "direction": "DESC"         }     ],     "source": [         "CONTACT_LAST_NAME"     ],     "page": {         "number": 0,         "size": 1     },     "q": "smith" } ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/ordersv2/orders/get%20order%20details.md). Sample cURL Request: An order history request was done for submitted Smart Hands orders linked to ordering or notification contact person with last name `smith` in IBXs DC3 and DC4 and defining a date range between two specific dates. ``` curl -X POST "https://api.equinix.com/v1/retrieve-orders" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "filters": {     "orderStatus": [         "SUBMITTED",         "IN_PROGRESS"     ],     "productTypes": [         "SMART_HANDS"     ],     "ibxs": [         "DC3",         "DC4"      ],      "fromDate": "09/02/2019",      "toDate": "09/15/2019"     },     "sorts": [      {         "name": "CREATED_ON",         "direction": "DESC"      }     ],     "source": [         "CONTACT_LAST_NAME"     ],     "page": {         "number": 0,         "size": 1     },     "q": "smith" } ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/ordersv2/orders/get%20order%20details.md). Sample Response: ``` {     "links": [         {             "rel": "self",             "href": "https://api.equinix.com/v1/orders-history/"         },         {             "rel": "next",             "href": "https://api.equinix.com/v1/orders-history/?page=1"         }     ],     "content": [         {             "orderNumber": "1-190123456789",             "createdAt": "2019-09-17T22:49:34Z",             "orderStatus": "SUBMITTED",             "orderSource": "Portal",             "account": {                 "accountName": "John Doe Corp",                 "accountNumber": "12345"             },             "uiMetaData": {                 "pricingEnforcementFlag": "false"             },             "orderingContacts": {                 "firstName": "James",                 "lastName": "Smith",                 "workPhone": "(972) 123-4567",                 "contactUCId": "234432",                 "username": "JSmith123",                 "emailAddress": "jsmith@johndoecorp.com"             },             "notificationContacts": [                 {                 "phone": "972-890-1234",                 "workPhone": "972-123-4567",                 "lastName": "Smith",                 "firstName": "James",                 "contactUCId": "234432",                 "emailAddress": "jsmith@johndoecorp.com",                 "username": "JSmith123"                 }             ],             "ibx": [                 "PAA"             ],             "type": [                 "Smart Hands"             ],             "customerReferenceNumber": "RQT12345",             "poNumbers": [                 "1-1007"             ],             "piiHoldFlag": false,             "technicalContacts": [                 {                 "firstName": "James",                 "lastName": "Smith",                 "workPhone": "(972) 123-4567",                 "contactUCId": "234432",                 "username": "JSmith123",                 "emailAddress": "jsmith@johndoecorp.com"                 }             ],             "pendingCustomerInputFlag": false,             "awaitingCustomerResponse": false,             "srNumber": "9-191234567890",             "cancellable": true,             "modifiable": true,             "links": [                 {                 "rel": "orderFullDetails",                 "href": "https://api.equinix.com/v1/orders-history/1-190123456789"                 }             ]         }     ],     "page": {         "size": 1,         "totalElements": 19,         "totalPages": 19,         "number": 0     } } ``` Response payload includes configuration parameters defined in the request body. For a full list of possible parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/ordersv2/orders/get%20order%20details.md).